<template>
  <div>
      <h1>Productsites</h1>
      <productsite-form
      @create="createProductsite"/>
      <productsite-list
      :productsites="productsites"
      />
  </div>    
</template>    


<script>
import ProductsiteForm from "@/components/ProductsiteForm";
import ProductsiteList from "@/components/ProductsiteList";
import axios from 'axios';
export default {
  components: {
      ProductsiteList, ProductsiteForm
  },
  data() {
      return {
          productsites: [],
      }
  },
  methods: {
      createProductsite(productsite) {
          this.productsites.push(productsite);
      },
      async fetchProductsites() {
          try {
              const response = await axios.get('http://127.0.0.1:5000/pharm/productsites/get/all');
              this.productsites = response.data.productsites;
          } catch (e) {
              alert('Mistake')
          }
      }
  },
  created() {
      this.fetchProductsites();
  }
}
</script>


<style>

</style>